'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _characters = require('../../database/characters');

var _characters2 = _interopRequireDefault(_characters);

var _disambiguation = require('../../util/disambiguation');

var _disambiguation2 = _interopRequireDefault(_disambiguation);

var _commandUsage = require('../../util/command-usage');

var usage = _interopRequireWildcard(_commandUsage);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
	name: 'deletecharacter',
	aliases: ['removecharacter', 'delchar', 'rmchar'],
	group: 'characters',
	groupName: 'delete',
	description: 'Deletes a character from the database.',
	usage: 'deletecharacter <name>',
	details: 'The name can be the whole name of the character, or just a part of it. Only the owner of the character and administrators/moderators may delete it.',
	examples: ['deletecharacter Billy McBillface', 'deletecharacter bill'],
	singleArgument: true,

	isRunnable(message) {
		return !!message.server;
	},

	run(message, args) {
		if (!args[0]) return false;
		const characters = _characters2.default.findCharactersInServer(message.server, args[0]);
		if (characters.length === 1) {
			if (_characters2.default.deleteCharacter(characters[0])) {
				message.client.reply(message, `Deleted character "${ characters[0].name }."`);
			} else {
				message.client.reply(message, `Unable to delete character "${ characters[0].name }". You are not the owner.`);
			}
		} else if (characters.length > 1) {
			message.client.reply(message, (0, _disambiguation2.default)(characters, 'characters'));
		} else {
			message.client.reply(message, `Unable to find character. Use ${ usage.long('characters', message.server) } to view the list of characters.`);
		}
	}
};