'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _characters = require('../../database/characters');

var _characters2 = _interopRequireDefault(_characters);

var _disambiguation = require('../../util/disambiguation');

var _disambiguation2 = _interopRequireDefault(_disambiguation);

var _commandUsage = require('../../util/command-usage');

var usage = _interopRequireWildcard(_commandUsage);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
	name: 'character',
	aliases: ['viewcharacter', 'char'],
	group: 'characters',
	groupName: 'view',
	description: 'Views a character\'s information.',
	usage: 'character <name>',
	details: 'The name can be the whole name of the character, or just a part of it.',
	examples: ['character Billy McBillface', 'character bill'],
	singleArgument: true,

	isRunnable(message) {
		return !!message.server;
	},

	run(message, args) {
		if (!args[0]) return false;
		const characters = _characters2.default.findCharactersInServer(message.server, args[0]);
		if (characters.length === 1) {
			const owner = message.client.users.get('id', characters[0].owner);
			const ownerName = owner ? owner.name + '#' + owner.discriminator : 'Unknown';
			message.client.reply(message, `Character **${ characters[0].name }** (created by ${ ownerName }):\n${ characters[0].info }`);
		} else if (characters.length > 1) {
			message.client.reply(message, (0, _disambiguation2.default)(characters, 'characters'));
		} else {
			message.client.reply(message, `Unable to find character. Use ${ usage.long('characters', message.server) } to view the list of characters.`);
		}
	}
};