'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _diceExpressionEvaluator = require('dice-expression-evaluator');

var _diceExpressionEvaluator2 = _interopRequireDefault(_diceExpressionEvaluator);

var _logger = require('../../util/logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
	name: 'minroll',
	group: 'dice',
	groupName: 'min',
	description: 'Calculates the minimum possible roll for a dice expression.',
	usage: 'minroll <dice expression>',
	details: 'The dice expression follows the same rules as !roll, but targets (< or >) cannot be used.',
	examples: ['minroll 2d20', 'minroll 3d20 - d10 + 6'],
	singleArgument: true,

	isRunnable() {
		return true;
	},

	run(message, args) {
		if (!args[0]) return false;
		try {
			const minRoll = new _diceExpressionEvaluator2.default(args[0]).min();
			message.client.reply(message, `The minimum possible roll is **${ minRoll }**.`);
		} catch (e) {
			_logger2.default.error(e);
			message.client.reply(message, 'Invalid dice expression specified.');
			return;
		}
	}
};