'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _permissions = require('../../util/permissions');

var permissions = _interopRequireWildcard(_permissions);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = {
	name: 'roles',
	aliases: ['listroles'],
	group: 'general',
	groupName: 'list-roles',
	description: 'Lists all server roles.',
	details: 'Only administrators may use this command.',

	isRunnable(message) {
		return message.server && permissions.isAdministrator(message.server, message.author);
	},

	run(message) {
		const roleList = message.server.roles.map(element => `${ element.name } (ID: ${ element.id })`).join('\n');
		message.client.reply(message, `Server roles:\n${ roleList }`);
	}
};