'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.commands = undefined;
exports.findCommands = findCommands;

var _help = require('./general/help');

var _help2 = _interopRequireDefault(_help);

var _about = require('./general/about');

var _about2 = _interopRequireDefault(_about);

var _listRoles = require('./general/list-roles');

var _listRoles2 = _interopRequireDefault(_listRoles);

var _prefix = require('./general/prefix');

var _prefix2 = _interopRequireDefault(_prefix);

var _roll = require('./dice/roll');

var _roll2 = _interopRequireDefault(_roll);

var _max = require('./dice/max');

var _max2 = _interopRequireDefault(_max);

var _min = require('./dice/min');

var _min2 = _interopRequireDefault(_min);

var _view = require('./characters/view');

var _view2 = _interopRequireDefault(_view);

var _list = require('./characters/list');

var _list2 = _interopRequireDefault(_list);

var _add = require('./characters/add');

var _add2 = _interopRequireDefault(_add);

var _delete = require('./characters/delete');

var _delete2 = _interopRequireDefault(_delete);

var _list3 = require('./mod-roles/list');

var _list4 = _interopRequireDefault(_list3);

var _add3 = require('./mod-roles/add');

var _add4 = _interopRequireDefault(_add3);

var _delete3 = require('./mod-roles/delete');

var _delete4 = _interopRequireDefault(_delete3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const commands = exports.commands = [_help2.default, _about2.default, _listRoles2.default, _prefix2.default, _roll2.default, _max2.default, _min2.default, _view2.default, _list2.default, _add2.default, _delete2.default, _list4.default, _add4.default, _delete4.default];
exports.default = commands;
function findCommands(searchString = null, message = null) {
	if (!searchString) return message ? commands.filter(c => c.isRunnable(message)) : commands;

	// Find all matches
	const lowercaseSearch = searchString.toLowerCase();
	const matchedCommands = commands.filter(c => c.name.includes(lowercaseSearch) || c.aliases && c.aliases.some(a => a.includes(lowercaseSearch)));

	// See if there's an exact match
	for (const command of matchedCommands) {
		if (command.name === lowercaseSearch || command.aliases && command.aliases.some(a => a === lowercaseSearch)) return [command];
	}

	return message ? matchedCommands.filter(c => c.isRunnable(message)) : matchedCommands;
}