'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _modRoles = require('../../database/mod-roles');

var _modRoles2 = _interopRequireDefault(_modRoles);

var _search = require('../../util/search');

var _search2 = _interopRequireDefault(_search);

var _disambiguation = require('../../util/disambiguation');

var _disambiguation2 = _interopRequireDefault(_disambiguation);

var _commandUsage = require('../../util/command-usage');

var usage = _interopRequireWildcard(_commandUsage);

var _permissions = require('../../util/permissions');

var permissions = _interopRequireWildcard(_permissions);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const pattern = /^(?:<@&)?(.+?)>?$/;

exports.default = {
	name: 'addmodrole',
	aliases: ['addmod'],
	group: 'mod-roles',
	groupName: 'add',
	description: 'Adds a moderator role.',
	usage: 'addmodrole <role>',
	details: 'The role must be the name or ID of a role, or a role mention. Only administrators may use this command.',
	examples: ['addmodrole cool', 'addmodrole 205536402341888001', 'addmodrole @CoolPeopleRole'],
	singleArgument: true,

	isRunnable(message) {
		return message.server && permissions.isAdministrator(message.server, message.author);
	},

	run(message, args) {
		if (!args[0]) return false;
		const matches = pattern.exec(args[0]);
		let roles;
		const idRole = message.server.roles.get('id', matches[1]);
		if (idRole) roles = [idRole];else roles = (0, _search2.default)(message.server.roles, matches[1]);

		if (roles.length === 1) {
			if (_modRoles2.default.saveRole(roles[0])) {
				message.client.reply(message, `Added "${ roles[0].name }" to the moderator roles.`);
			} else {
				message.client.reply(message, `Unable to add "${ roles[0].name }" to the moderator roles. It already is one.`);
			}
		} else if (roles.length > 1) {
			message.client.reply(message, (0, _disambiguation2.default)(roles, 'roles'));
		} else {
			message.client.reply(message, `Unable to identify role. Use ${ usage.long('roles', message.server) } to view all of the server roles.`);
		}
	}
};