'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _modRoles = require('../../database/mod-roles');

var _modRoles2 = _interopRequireDefault(_modRoles);

var _disambiguation = require('../../util/disambiguation');

var _disambiguation2 = _interopRequireDefault(_disambiguation);

var _commandUsage = require('../../util/command-usage');

var usage = _interopRequireWildcard(_commandUsage);

var _permissions = require('../../util/permissions');

var permissions = _interopRequireWildcard(_permissions);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const pattern = /^(?:<@&)?(.+?)>?$/;

exports.default = {
	name: 'deletemodrole',
	aliases: ['removemodrole', 'delmodrole', 'removemod', 'deletemod', 'delmod'],
	group: 'mod-roles',
	groupName: 'delete',
	description: 'Deletes a moderator role.',
	usage: 'deletemodrole <role>',
	details: 'The role must be the ID of a role, or a role mention. Only administrators may use this command.',
	examples: ['deletemodrole cool', 'deletemodrole 205536402341888001', 'deletemodrole @CoolPeopleRole'],
	singleArgument: true,

	isRunnable(message) {
		return message.server && permissions.isAdministrator(message.server, message.author);
	},

	run(message, args) {
		if (!args[0]) return false;
		const matches = pattern.exec(args[0]);
		let roles;
		const idRole = message.server.roles.get('id', matches[1]);
		if (idRole) roles = [idRole];else roles = _modRoles2.default.findRolesInServer(message.server, matches[1]);

		if (roles.length === 1) {
			if (_modRoles2.default.deleteRole(roles[0])) {
				message.client.reply(message, `Removed "${ roles[0].name }" from the moderator roles.`);
			} else {
				message.client.reply(message, `Unable to remove "${ roles[0].name }" from the moderator roles. It isn\'t one.`);
			}
		} else if (roles.length > 1) {
			message.client.reply(message, (0, _disambiguation2.default)(roles, 'roles'));
		} else {
			message.client.reply(message, `Unable to identify role. Use ${ usage.long('modroles', message.server) } to view the the moderator roles, and ${ usage.long('roles', message.server) } to view all of the server roles.`);
		}
	}
};