'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _modRoles = require('../../database/mod-roles');

var _modRoles2 = _interopRequireDefault(_modRoles);

var _permissions = require('../../util/permissions');

var permissions = _interopRequireWildcard(_permissions);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
	name: 'modroles',
	aliases: ['listmodroles', 'mods'],
	group: 'mod-roles',
	groupName: 'list',
	description: 'Lists all moderator roles.',
	details: 'Only administrators may use this command.',

	isRunnable(message) {
		return message.server && permissions.isAdministrator(message.server, message.author);
	},

	run(message) {
		const roles = _modRoles2.default.findRolesInServer(message.server);
		if (roles.length > 0) {
			message.client.reply(message, 'Moderator roles:\n' + roles.map(role => `${ role.name } (ID: ${ role.id })`).join('\n'));
		} else {
			message.client.reply(message, 'There are no moderator roles.');
		}
	}
};