'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.buildCommandPattern = buildCommandPattern;

var _escapeStringRegexp = require('escape-string-regexp');

var _escapeStringRegexp2 = _interopRequireDefault(_escapeStringRegexp);

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _settings = require('../database/settings');

var _settings2 = _interopRequireDefault(_settings);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function buildCommandPattern(server, user) {
	let prefix = server ? _settings2.default.getSettingValue('command-prefix', _config2.default.commandPrefix, server) : _config2.default.commandPrefix;
	if (prefix === 'none') prefix = '';
	const escapedPrefix = (0, _escapeStringRegexp2.default)(prefix);
	const prefixPatternPiece = prefix ? escapedPrefix + '(?:\\s*)?|' : '';
	const pattern = new RegExp(`^(${ prefixPatternPiece }<@!?${ user.id }>\\s+(?:${ escapedPrefix })?)([^\\s]+)`, 'i');
	_logger2.default.info(`Server command pattern built.`, { server: server ? server.name : null, serverID: server ? server.id : null, prefix: prefix, pattern: pattern.source });
	return pattern;
}
exports.default = buildCommandPattern;