'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.logger = undefined;

var _winston = require('winston');

var _winston2 = _interopRequireDefault(_winston);

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _analytics = require('./analytics');

var analytics = _interopRequireWildcard(_analytics);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const logger = exports.logger = new _winston2.default.Logger({
	transports: [new _winston2.default.transports.Console({
		level: _config2.default.consoleLevel,
		colorize: true,
		timestamp: true,
		handleExceptions: true,
		humanReadableUnhandledException: true
	})],
	exitOnError: e => {
		analytics.sendException(e);
		return true;
	}
});

if (_config2.default.log) {
	logger.add(_winston2.default.transports.File, {
		level: _config2.default.logLevel,
		filename: _config2.default.log,
		maxsize: _config2.default.logMaxSize,
		maxFiles: _config2.default.logMaxFiles,
		tailable: true,
		json: false,
		handleExceptions: true,
		humanReadableUnhandledException: true
	});
}

exports.default = logger;