'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.isModerator = isModerator;
exports.isAdministrator = isAdministrator;

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _modRoles = require('../database/mod-roles');

var _modRoles2 = _interopRequireDefault(_modRoles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isModerator(server, user) {
	if (!server || !user) throw new Error('A server and user must be specified.');
	if (user.id === _config2.default.owner) return true;
	const userRoles = server.rolesOfUser(user);
	if (userRoles.some(role => role.hasPermission('administrator'))) return true;
	if (!_modRoles2.default.serverHasRoles(server)) return userRoles.some(role => role.hasPermission('manageMessages'));
	return _modRoles2.default.findRolesInServer(server).some(element => userRoles.some(element2 => element.id === element2.id));
}

function isAdministrator(server, user) {
	if (!server || !user) throw new Error('A server and a user must be specified.');
	if (user.id === _config2.default.owner) return true;
	return server.rolesOfUser(user).some(role => role.hasPermission('administrator'));
}