'use babel';
'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = checkForUpdate;

var _request = require('request');

var _request2 = _interopRequireDefault(_request);

var _semver = require('semver');

var _semver2 = _interopRequireDefault(_semver);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _rpbot = require('../rpbot');

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _version = require('../version');

var _version2 = _interopRequireDefault(_version);

var _localStorage = require('../database/local-storage');

var _localStorage2 = _interopRequireDefault(_localStorage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const packageURL = 'https://raw.githubusercontent.com/Gawdl3y/discord-rpbot/master/package.json';

function checkForUpdate() {
	(0, _request2.default)(packageURL, (error, response, body) => {
		if (!error && response.statusCode == 200) {
			const masterVersion = JSON.parse(body).version;
			if (_semver2.default.gt(masterVersion, _version2.default)) {
				const message = `An RPBot update is available! Current version is ${ _version2.default }, latest available is ${ masterVersion }.`;
				_logger2.default.warn(message);
				const savedVersion = _localStorage2.default.getItem('notified-version');
				if (savedVersion != masterVersion && _rpbot.client && _config2.default.owner) {
					_rpbot.client.sendMessage(_config2.default.owner, message);
					_localStorage2.default.setItem('notified-version', masterVersion);
				}
			}
		}
	});
}